Bug 802510 - condor wallaby tools should use wallaby shell at the core
condor wallaby tools should use wallaby shell at the core
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: FutureFeature, Tracking
Depends On: 827460 879276 879671 880973 881082 885992
Blocks: 741898 786020 801503 805123 818631 823589 823591 850835 874946
  Show dependency treegraph
 
Reported: 2012-03-12 13:27 EDT by Robert Rati
Modified: 2013-03-19 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.0-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-03-12 13:27:01 EDT
Description of problem:
The wallaby shell provides all the tools needed to support the condor wallaby tools, and will provide better a transition path for any new features/functionality for the tools.  Additionally, there is no need for multiple implementations of the core functionality.  The condor wallaby tools should be written to use the wallaby shell for the core functionality.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Robert Rati 2012-03-23 15:29:02 EDT
Changes upstream on branch:
wallaby-shell-impl
Comment 3 Martin Kudlej 2012-04-04 11:35:31 EDT
How can we test this feature, please?
Comment 4 Robert Rati 2012-04-04 11:45:11 EDT
Use the tools as you always have.  The displayed output (like in the editor, feedback, etc) will be slightly different, but functionally it should be the same.  If you really wanted, you can compare simple commands (like add, list, etc) with the wallaby shell equivalents.
Comment 8 Lubos Trilety 2013-02-19 05:24:04 EST
Tested with:
condor-wallaby-tools-5.0.5-2

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

The tools are working. There is slight change in functionality though, see bug 912357. 

>>> verified

Note You need to log in before you can comment on or make changes to this bug.